> ## Documentation Index
> Fetch the complete documentation index at: https://emeregpteltd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# create



## OpenAPI

````yaml post /api/v1/sessions
openapi: 3.0.0
info:
  title: Emereg (Open)
  description: API documentation for Emereg, specifically for Sessions management.
  version: 1.0.0
servers:
  - url: https://emereg.com
security:
  - bearerAuth: []
tags:
  - name: sessions
    description: Create and manage virtual browsers for user and agent collaboration.
paths:
  /api/v1/sessions:
    post:
      tags:
        - sessions
      summary: Create a new session
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  type: integer
                  description: ID of the project associated with the session.
                timeout:
                  type: integer
                  description: Timeout duration for the session in seconds.
                browser_settings:
                  type: object
                  properties:
                    proxy:
                      type: object
                      properties:
                        country:
                          type: string
                          description: >-
                            Proxy country code in ISO 3166-1 alpha-2 format,
                            e.g., 'sg' for Singapore.
                    record_live:
                      type: boolean
                      description: >-
                        When enabled, takes a snapshot of the browser session
                        every second, resulting in increased storage.
              example:
                project_id: 5
                timeout: 60
                browser_settings:
                  proxy:
                    country: sg
                  record_live: true
      responses:
        '201':
          description: Successfully created the session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  project_id:
                    type: integer
                    description: ID of the project associated with the session.
                  browser_settings:
                    type: object
                    properties:
                      proxy:
                        type: object
                        properties:
                          country:
                            type: string
                            description: >-
                              Proxy country code in ISO 3166-1 alpha-2 format,
                              e.g., 'sg' for Singapore.
                      record_live:
                        type: boolean
                        description: >-
                          When enabled, takes a snapshot of the browser session
                          every second, resulting in increased storage.
                      live_url:
                        type: string
                        description: URL to access the live session.
                  timeout:
                    type: integer
                    description: Timeout duration for the session in seconds.
                  started_at:
                    type: string
                    format: date-time
                    description: Timestamp the session was started.
                  status:
                    type: string
                    description: Current status of the session.
                  created_at:
                    type: string
                    format: date-time
                    description: Timestamp the session was created.
                  updated_at:
                    type: string
                    format: date-time
                    description: Timestamp the session was last updated.
                  browser_id:
                    type: string
                    description: Unique identifier for the browser session.
                example:
                  project_id: 5
                  browser_settings:
                    proxy:
                      country: sg
                    record_live: true
                    live_url: >-
                      https://emereg.com/session/inspector.html?wss=browser.emereg.com/devtools/page/803F10EB7C3970E4808993EDB1870FD2
                  timeout: 60
                  started_at: '2024-08-14T05:47:21Z'
                  status: STARTED
                  created_at: '2024-08-14T13:47:16.368Z'
                  updated_at: '2024-08-14T13:47:21.682Z'
                  browser_id: 0787ef97-70d3-492a-a83a-f0408a21b115
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````